Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023961
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-06-03 10:302013-07-23 17:52
ReporterjecharriView Statuspublic 
Assigned Tomigueldejuana 
PriorityimmediateResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision02132e0cd303
ProjectionnoneETAnoneTarget VersionRMP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP22SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023961: Problem with multicurrency

DescriptionProblem with multicurrency
Steps To Reproduce-with the organization in EUR
-configure one USD payment type
-configure one USD cash close management event

-Create a ticket and pay with USD payment type

Verify that if you go to payment in window, the payment is created with used credit <> 0

This problem generate a wrong posting in the financial account transaction
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059124)
hgbot (developer)
2013-06-03 12:54

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 781d86d62808e24edc8bd71eeaea0ccf78436f85
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Jun 03 12:18:33 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/781d86d62808e24edc8bd71eeaea0ccf78436f85 [^]

Fixed issue 0023961: Problem with multicurrency, incorrect amount create credit used

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0059157)
hgbot (developer)
2013-06-04 10:54

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 781d86d62808e24edc8bd71eeaea0ccf78436f85
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Jun 03 12:18:33 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/781d86d62808e24edc8bd71eeaea0ccf78436f85 [^]

Fixed issue 0023961: Problem with multicurrency, incorrect amount create credit used

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0059203)
guilleaer (developer)
2013-06-06 10:56

verified
(0059425)
hgbot (developer)
2013-06-13 17:08

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 02132e0cd3033b288476cb2db65291432fdd118d
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 13 17:06:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/02132e0cd3033b288476cb2db65291432fdd118d [^]

Fixed issue 0023961: Problem with multicurrency, incorrect amount create credit used

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0059513)
guilleaer (developer)
2013-06-19 09:27

verified
(0059750)
hgbot (developer)
2013-06-28 10:27

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 02132e0cd3033b288476cb2db65291432fdd118d
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 13 17:06:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/02132e0cd3033b288476cb2db65291432fdd118d [^]

Fixed issue 0023961: Problem with multicurrency, incorrect amount create credit used

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0060189)
guilleaer (developer)
2013-07-23 17:52

reclosed

- Issue History
Date Modified Username Field Change
2013-06-03 10:30 jecharri New Issue
2013-06-03 10:30 jecharri Assigned To => migueldejuana
2013-06-03 12:54 hgbot Checkin
2013-06-03 12:54 hgbot Note Added: 0059124
2013-06-03 12:54 hgbot Status new => resolved
2013-06-03 12:54 hgbot Resolution open => fixed
2013-06-03 12:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/781d86d62808e24edc8bd71eeaea0ccf78436f85 [^]
2013-06-03 15:36 jecharri Review Assigned To => jecharri
2013-06-03 15:36 jecharri Status resolved => closed
2013-06-04 10:54 hgbot Checkin
2013-06-04 10:54 hgbot Note Added: 0059157
2013-06-04 10:54 hgbot Status closed => resolved
2013-06-04 10:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/781d86d62808e24edc8bd71eeaea0ccf78436f85 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/781d86d62808e24edc8bd71eeaea0ccf78436f85 [^]
2013-06-06 10:56 guilleaer Review Assigned To jecharri => guilleaer
2013-06-06 10:56 guilleaer Note Added: 0059203
2013-06-06 10:56 guilleaer Status resolved => closed
2013-06-06 10:56 guilleaer Fixed in Version => RMP23
2013-06-13 17:08 hgbot Checkin
2013-06-13 17:08 hgbot Note Added: 0059425
2013-06-13 17:08 hgbot Status closed => resolved
2013-06-13 17:08 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/781d86d62808e24edc8bd71eeaea0ccf78436f85 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/02132e0cd3033b288476cb2db65291432fdd118d [^]
2013-06-19 09:27 guilleaer Note Added: 0059513
2013-06-19 09:27 guilleaer Status resolved => closed
2013-06-19 09:27 guilleaer Fixed in Version RMP23 => RMP24
2013-06-28 10:27 hgbot Checkin
2013-06-28 10:27 hgbot Note Added: 0059750
2013-06-28 10:27 hgbot Status closed => resolved
2013-06-28 10:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/02132e0cd3033b288476cb2db65291432fdd118d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/02132e0cd3033b288476cb2db65291432fdd118d [^]
2013-07-23 17:52 guilleaer Note Added: 0060189
2013-07-23 17:52 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker